package sdf;

import nenok.va.Domain;
import nenok.va.Predictor;

/**
 * A weight predictor for distance functions implemented with
 * the SINGLETON design pattern.
 * 
 * @author Antoine De Groote
 */

public class SDF_Predictor implements Predictor {
    
    private static SDF_Predictor self;

    /**
     * Constructor:
     */
    
    private SDF_Predictor() {}
    
    /**
     * @return An instance of this class - SINGLETON design pattern.
     */
    
    public static SDF_Predictor getInstance() {
        if(self == null) {
            self = new SDF_Predictor();
        }
        return self;
    }
    
    /**
     * @see nenok.va.Predictor#predict(nenok.va.Domain)
     */
    
    public int predict(Domain dom) {
        if(dom.size() == 0) {
            return 0;
        }
        int result = dom.size() * dom.size();
        return result;
    }
}
