package sdf;

import nenok.va.Variable;

/**
 * This implementation of the Variable interface represents variables as simple strings. 
 * 
 * @author Antoine De Groote
 */

public class SDF_Variable implements Variable {

	private String name;
	
	/**
	 * Constructor:
	 * @param name The name of the variable.
	 */
	
	public SDF_Variable(String name) {
		this.name = name;
	}
		
	/**
	 * Produces the hashcode of the name string object.
	 * @see java.lang.Object#hashCode()
	 */
	
	public int hashCode() {
		return name.hashCode();
	}
	
	/**
	 * Compares for equality: SDF_Variables are equal if, and only if they 
	 * have the same name.
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	
	public boolean equals(Object o) {
	    return (o instanceof SDF_Variable) && 
	    ((SDF_Variable)o).name.equals(this.name);
	}
	
	/**
	 * Converts this variable into a string.
	 * @return The variable's string value.
	 */
	
	public String toString() {
		return name;
	}
}