package nenok.lc.constr;

import nenok.lc.LCException;

/**
 * This class represents exceptions thrown during the 
 * join tree construction process.
 * 
 * @author Marc Pouly
 * @version 1.1
 */

public class ConstrException extends LCException {

	/**
	 * Constructor:
	 * @param message The exception message.
	 */

	public ConstrException(String message) {
		super(message);
	}

	/**
	 * Constructor: 
	 * @param message The exception message.
	 * @param cause The (prior) exception to be wrapped.
	 */

	public ConstrException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructor:
	 * @param cause The (prior) exception to be wrapped.
	 */

	public ConstrException(Throwable cause) {
		super(cause);
	}

}
