package nenok.parser;

import nenok.lc.LCException;

/**
 * Exceptions that are thrown during the parsing process.
 * 
 * @author Marc Pouly
 * @version 1.1
 */

public class ParserException extends LCException {
    
    /**
     * Constructor:
     * @param message The exception message.
     */
    
    public ParserException(String message) {
        super(message);
    }
    
    /**
     * Constructor:
     * @param message The exception message.
     * @param cause The (prior) exception to be wrapped.
     */
    
    public ParserException(String message, Throwable cause) {
        super(message, cause);
    }
    
    /**
     * Constructor:
     * @param cause The (prior) exception to be wrapped.
     */
    
    public ParserException(Throwable cause) {
        super(cause);
    }
}
