package nenok.va;

/**
 * This interface equips a valuation algebra with some concept of division.
 * NENOK does not distinguish between separative and regular valuation algebras,
 * both are represented by this interface. The division itself is realized by a 
 * single method that computes the inverse element of the current valuation.
 * 
 * @author Marc Pouly
 * @version 1.1
 */

public interface Regularity extends Valuation {
	
	/**
	 * Returns an inverse element for the current valuation.
	 * @return The inverse valuation of the given domain.
	 */
	
	public Regularity inverse();
}

