package nenok.va.semiring;

import java.io.Serializable;

/**
 * This interface represents the most basic component in the realization of 
 * semiring induced valuation algebras. Namely, these are abstracts elments 
 * of a semiring, described by their two fundamental operations of addition
 * and multiplication.
 * 
 * @author Marc Pouly
 * @version 1.0
 */

public interface Element extends Serializable {
    
    /**
     * This method computes the addition of two semiring elements.
     * @param element The element to add.
     * @return The result of the addition.
     */
    
    public Element add(Element element);
    
    /**
     * This method computes the multiplication of two semiring elements.
     * @param element The element to multiply.
     * @return The result of the multiplication.
     */
    
    public Element multiply(Element element);
}
