package nenok.va.semiring;

import nenok.va.Variable;

/**
 * This interface extends the variable interface and represents 
 * variables with finite frames. Such variables are used for example 
 * in the context of semiring induced valuation  algebras to represent 
 * configurations.
 * 
 * @author Marc Pouly
 * @version 1.1
 */

public interface FiniteVariable extends Variable {
	
	/**
	 * Returns the frame of this discrete variable.
	 * @return The variable's frame.
	 */
	
	public Object[] getFrame();
}
