package nenok.va.semiring;

/**
 * Valuation algebras with division are induced by semirings with division.
 * This interface represents elements of a division aware semiring.
 * It extends the semiring element interface by a method allowing
 * to compute inverses.
 * 
 * @author Marc Pouly
 * @version 1.1
 */

public interface RegularElement extends Element {

    /**
     * This method computes the inverse semiring element of <code>this</code>.
     * @return The inverse semiring element.
     */
    
    public RegularElement inverse();
}
