package nenok.va.semiring;

import nenok.va.Regularity;

/**
 * Semirings with division induce dividable valuation algebras. This class 
 * extends the semiring valuation class by offering a pre-implementation of 
 * the {@link Regularity} interface.
 * 
 * @author Marc Pouly
 * @version 1.1
 */

public class RegularSRValuation extends SRValuation implements Regularity {

	/*
	 * Constructors:
	 */
	
    /**
     * Constructor:
     */
    
    public RegularSRValuation() {}
	
    /**
     * Constructor:
     * @param variables The variables of this valuation.
     * @param elements The semiring elements assigned to the configurations.
     */
	
	public RegularSRValuation(FiniteVariable[] variables, RegularElement[] elements) {
		super(variables, elements);
	}
	        
    /*
     * Regularity Interface:
     */
    
    /**
     * @see nenok.va.Regularity#inverse()
     */
    
    public Regularity inverse() {
    	RegularSRValuation inv = new RegularSRValuation();
    	inv.configurations = this.configurations;
    	inv.elements = new RegularElement[this.elements.length];
    	for (int i = 0; i < inv.elements.length; i++) {
			inv.elements[i] = ((RegularElement)(this.elements[i])).inverse();
		}
        return inv;
    }
}