package nenok.va.semiring;

import nenok.va.Domain;
import nenok.va.Scalability;
import nenok.va.VAException;

/**
 * Pre-implementation for scaled semiring valuation algebras.
 * 
 * @author Marc Pouly
 * @version 1.1
 */

public class ScaledSRValuation extends RegularSRValuation implements Scalability {
        
	/*
	 * Constructors:
	 */
	
    /**
     * Constructor:
     */
    
    public ScaledSRValuation() {}
	
    /**
     * Constructor:
     * @param variables The variables of this valuation.
     * @param elements The semiring elements assigned to the configurations.
     */
	
	public ScaledSRValuation(FiniteVariable[] variables, RegularElement[] elements) {
		super(variables, elements);
	}
	
    /*
     * Scalability Interface:
     */
    
    /**
     * @see nenok.va.Scalability#scale()
     */
    
    public Scalability scale() {
    	try {
			RegularSRValuation v = (RegularSRValuation)this.marginalize(new Domain());
			v = (RegularSRValuation)v.inverse();
			return (Scalability)(this.combine(v));
		} catch (VAException e) {
			// cannot happen ...
			e.printStackTrace();
			return null;
		}
    }
}
